> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/chord-oms-overview/checkout/post-checkout-cross-sell.md).

# Post Checkout Cross-Sell

### Introduction

After a customer makes a purchase, a post-purchase offer (also known as post-purchase upsell or one-click upsell) will show related products just before the order confirmation screen. This strategy takes advantage of the customer's excitement and willingness to buy, leading to a better shopping experience and increased revenue for your brand.

{% hint style="danger" %}
💡 Post Sell is only supported in Stripe checkout.
{% endhint %}

### Setup

**OMS**

To activate the cross-selling feature to enable your customers to add new items to their existing order after completing the Stripe checkout., navigate to your Store Settings in the OMS **Settings --> Store** and add the following under the **Environment Variables** section.

**ORDER\_CROSS\_SELL\_TIME\_IN\_MINUTES:** Please specify the duration in **minutes** for users to add items to their cart after checkout. In this example, we are adding a value of 2 minutes.

**CROSS\_SELL\_POST\_CHECKOUT:** Mark it as **enabled**. This flag sets the Stripe card to be re-used like subscriptions and delays the complete order event until the cross-sell ends.

**CROSS\_SELL\_EMAIL: enabled** If you wish to inform your customers about the items they have purchased after checkout. A pre-existing template is available in Contentful.

{% hint style="success" %}
📥 Make sure your email is published!
{% endhint %}

**GitHub**

A new [endpoint ](https://chord.stoplight.io/docs/chord-oms/3e72c4c31d015-cross-sell-order-line-items)(see PR [here](https://github.com/chordcommerce/chord-oms/pull/712)) is added, which accepts items, and then completes the [cross-sell ](https://github.com/chordcommerce/chord-oms/blob/main/app/services/acs/order_completer/cross_sell_completer.rb#L4)state, creating a new charge on the credit card for the new items and sending a new email.

**Resources**

NextJS starter [commit](https://github.com/chordcommerce/nextjs-starter-autonomy/commit/4d5b66ad345b328e620e93f6712f8ad2949d85a9) adds the hooks and an [example implementation](https://gist.github.com/ikraamg/761bd285746c42aae006182140c0a03c).

NextJS function usage [docs](/chord-oms/developer-tools/next-js/sdk-reference/usecart.md).

[OMS API](https://chord.stoplight.io/docs/chord-oms/3e72c4c31d015-cross-sell-order-line-items) documentation with an [example request body](https://gist.github.com/ikraamg/d249794694e9d2a07ef6cd0a6ce78a48).

**Contentful**

{% hint style="danger" %}
Ensure that a content model for your Cross-Sell collection has been created.
{% endhint %}

Email example in [gist](https://gist.github.com/ikraamg/c24da3ce871861c9b5ff227e47c4a2c1) with the setup below:

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-c64f5c10727346a4ba27d91be80f728f64908f76%2Fpost-checkout-cross-sell-1.jpg?alt=media)

{% embed url="<https://gist.github.com/c24da3ce871861c9b5ff227e47c4a2c1>" %}

{% hint style="info" %}
P lease take a look at the latest version of the Chord SDK.
{% endhint %}

**Post-Cross-Sell Promotions**

Promotions for the post-checkout need to include the following:

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-4ec3dce909538bef855124bbbe55b3beb9e165cb%2Fpost-checkout-cross-sell-2.jpg?alt=media)

***

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-1987cab73b3297430d2b39667d40b27989b3dad0%2Fpost-checkout-cross-sell-3.gif?alt=media)

**Actions/Adjustment Type**

Use either the “Flat Rate” or “Percent Per Item” calculator with the “only for cross-sold quantity post-checkout”:

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-4e902f371b557548377d884dbd21aad477f6555d%2Fpost-checkout-cross-sell-4.gif?alt=media)

Check the **Always apply** box.

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-d64069177cfad008bef626d816251d318b1f9b04%2Fpost-checkout-cross-sell-5.jpg?alt=media)

Here is an example **Promotion** that uses Dynamic Promotions with **Post Checkout Cross-Sell**:

![](https://3559351341-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FGejRW1RLC9yasX56Xzxu%2Fuploads%2Fgit-blob-dba82c6c6d39d268635e6140f7df23a283469684%2Fpost-checkout-cross-sell-6.jpg?alt=media)

### Video Example

Let's place an order and add items post-sell. The minute value here has been set to 10!

{% embed url="<https://www.loom.com/embed/55025b309ee4424f9748ee9db42fed9e>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/chord-oms-overview/checkout/post-checkout-cross-sell.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
